### Method

# Soup MessageHeaders set_ranges

#### Declaration [src]

    void
    soup_message_headers_set_ranges (
      SoupMessageHeaders* hdrs,
      SoupRange* ranges,
      int length
    )

#### Description [src]

Sets `hdrs`‘s Range header to request the indicated ranges.

If you only want to request a single range, you can use `soup_message_headers_set_range()`.

#### Parameters

`ranges`

  Type: `SoupRange`

  An array of `SoupRange`.

  The data is owned by the caller of the method.

`length`

  Type: `int`

  The length of `range`.